# Define version and release number
%define php_common_major 8
%define php_common_sub 3
%define phplong %{php_common_major}.%{php_common_sub}
%define modname inotify
%define soname %{modname}.so
%define inifile A82_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Provides inotify functions for PHP
Name:		php-%{modname}
Version:	3.0.0
Release:	%mkrel 11
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/inotify/
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:	php-devel <= 3:%{phplong}.99

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	Provides inotify functions for PHP
Group:		Development/PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php <= 3:%{phplong}.99
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description -n php%{phplong}-%{modname}
The inotify extension allows to use inotify functions in a PHP script.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv -f ../package*.xml .

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{php_inidir}/%{inifile}

%files -n php%{phplong}-%{modname}
%doc tests CREDITS inotify.php tail.php package.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Wed Mar 26 2025 mokraemer <mokraemer> 3.0.0-11.mga9
+ Revision: 2169959
- switched config dir
- fix dependency
- support multiversioned php

* Fri Sep 08 2023 mokraemer <mokraemer> 3.0.0-8.mga10
+ Revision: 1985210
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 3.0.0-7.mga9
+ Revision: 1902349
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 3.0.0-6.mga9
+ Revision: 1879777
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 3.0.0-5.mga9
+ Revision: 1869996
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 3.0.0-4.mga9
+ Revision: 1869865
- rebuild for php 8.2

* Thu Mar 17 2022 umeabot <umeabot> 3.0.0-3.mga9
+ Revision: 1796795
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 3.0.0-2.mga9
+ Revision: 1759369
- rebuild for php 8.1

* Sat Dec 19 2020 mokraemer <mokraemer> 3.0.0-1.mga8
+ Revision: 1661036
- new version 3.0.0

* Thu Jun 18 2020 mokraemer <mokraemer> 2.0.0-10.mga8
+ Revision: 1596258
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 2.0.0-9.mga8
+ Revision: 1538978
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 2.0.0-8.mga8
+ Revision: 1463527
+ rebuild (emptylog)

* Wed Dec 12 2018 mokraemer <mokraemer> 2.0.0-6.mga7
+ Revision: 1340443
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2.0.0-5.mga7
+ Revision: 1325843
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-4.mga7
+ Revision: 1300225
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 2.0.0-3.mga7
+ Revision: 1217358
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 2.0.0-2.mga7
+ Revision: 1180968
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 2.0.0-1.mga7
+ Revision: 1177153
- new version

* Thu Feb 25 2016 oden <oden> 0.1.6-12.mga6
+ Revision: 979082
- 0.1.6 (2.0.0+ is for php-7.x+ only)
- 2.0.0

* Fri Feb 12 2016 umeabot <umeabot> 0.1.6-11.mga6
+ Revision: 958392
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.6-10.mga5
+ Revision: 739924
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.1.6-9.mga5
+ Revision: 725173
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.6-8.mga5
+ Revision: 687148
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 0.1.6-7.mga5
+ Revision: 616569
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 0.1.6-6.mga4
+ Revision: 567671
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.1.6-5.mga4
+ Revision: 527861
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.1.6-4.mga4
+ Revision: 442673
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.1.6-3.mga3
+ Revision: 393304
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.1.6-2.mga3
+ Revision: 375811
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 0.1.6-1.mga3
+ Revision: 275585
- upgrade to 0.1.6

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.1.4-12.mga2
+ Revision: 223907
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 0.1.4-11.mga2
+ Revision: 185319
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.1.4-10.mga1
+ Revision: 48005
- removed buildroot definition from .spec
- imported package php-inotify

